* {
    padding: 0;
    margin: 0;
}

body{
    height: 100vh;
    background: #5f5f5f;
    display: flex;
    align-items: center;
}

.contenedor {
    width: 920px;
    height: 280px;
    margin: 0 auto;
    
    position: relative;

    background: linear-gradient(#8bdaff7c, transparent) #eafffd;/*linear-gradient(#90ebff, white);*/
    transition: background-color 1s linear;
    overflow: hidden;
}

.mediodia {
    background-color: #ffdcf3;
}

.tarde {
    background-color: #b8705e;
}

.noche {
    background-color: #393353;
}

.dino {
    width: 85px;
    height: 56px;

    position: absolute;
    bottom: 22px;
    left: 54px;
    z-index: 2;

    background: url(res/sprites/cerdo.png) repeat-x 0px 0px;
    background-size: 170px 56px;
    background-position-x: 0px;

}

.dino-corriendo {
    animation: animarDino 0.25s steps(2) infinite;
}
.dino-estrellado {
    background-position-x: -0px;
}

.suelo {
    width: 200%;
    height: 42px;

    position: absolute;
    bottom: 0;
    left: 0;

    background: url(res/sprites/suelo.png) repeat-x 0px 0px;
    background-size: 50% 42px;

}

.cactus {
    width: 40px;
    height: 42px;

    position: absolute;
    bottom: 20px;
    left: 600px;
    z-index: 1;

    background: url(res/sprites/valla1.png) no-repeat;
}

.cactus2{
    width: 52px;
    height: 42px;

    background: url(res/sprites/valla2.png) no-repeat;
}

.cactus3{
    width: 72px;
    height: 42px;

    background: url(res/sprites/valla3.png) no-repeat;
}

.nube{
    width: 92px;
    height: 26px;

    position: absolute;
    z-index: 0;

    background: url(res/sprites/nube.png) no-repeat;
    background-size: 92px 26px;
}

.score{
    width: 100px;
    height: 30px;

    position: absolute;
    top: 5px;
    right: 15px;
    z-index: 10;

    color: #ffffff;
    font-family: Verdana;
    font-size: 30px;
    font-weight: bold;
    text-align: right;
}

.game-over{
    display: none;

    position: absolute;
    width: 100%;


    text-align: center;
    color: #ffffff;
    font-size: 30px;
    font-family: Verdana;
    font-weight: 700;
}

@keyframes animarDino{
    from{
        background-position-x: -0px;
    }
    to{
        background-position-x: -170px;
    }
}